<?php
/***************************************************************************
Copyright (c) 2006 Marcus Campbell
http://scuttle.org/

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
***************************************************************************/

$a = session_id();
if ($a == '') session_start();
if (!isset($_SESSION['safety']))
{
    session_regenerate_id(true);
    $_SESSION['safety'] = true;
}
$_SESSION['sessionid'] = session_id();


if (!$_SESSION['time']) {
   $_SESSION['time']     = time();
}

$_SESSION['last_url'] = $_SERVER["REQUEST_URI"];


$_SESSION['execution_start'] = microtime(true);

require_once 'header.inc.php';

$bookmarkservice =& ServiceFactory::getServiceInstance('BookmarkService');
$templateservice =& ServiceFactory::getServiceInstance('TemplateService');
$userservice =& ServiceFactory::getServiceInstance('UserService');
$cacheservice =& ServiceFactory::getServiceInstance('CacheService');

$tplVars = array();

@list($url, $hash) = isset($_SERVER['PATH_INFO']) ? explode('/', $_SERVER['PATH_INFO']) : NULL;


$_SESSION['target_hash'] = $hash;

$loggedon = false;
if ($userservice->isLoggedOn()) {
    $loggedon = true;
    $currentUser = $userservice->getCurrentUser();
    $currentUsername = $currentUser[$userservice->getFieldName('username')];
}

if ($usecache) {
    // Generate hash for caching on
    $hashtext = $_SERVER['REQUEST_URI'];
    if ($userservice->isLoggedOn()) {
        $hashtext .= $currentUsername;
    }
    $cachehash = md5($hashtext);

    // Cache for 30 minutes
    $cacheservice->Start($cachehash, 1800);
}

// Pagination
$perpage = getPerPageCount();
if (isset($_GET['page']) && intval($_GET['page']) > 1) {
    $page = $_GET['page'];
    $start = ($page - 1) * $perpage;
} else {
    $page = 0;
    $start = 0;
}

if ($bookmark =& $bookmarkservice->getBlogRecByHash($hash)) {
    // Template variables
    $bookmarks =& $bookmarkservice->getBlogRecs($start, $perpage, NULL, NULL, NULL, getSortOrder(), NULL, NULL, NULL, $hash);
    $tplVars['pagetitle'] = T_('History') .': '. $bookmark['bAddress'];
    $_SESSION['target_url'] = $bookmark['bAddress'];
    $tplVars['subtitle'] = sprintf(T_('Recommendation for %s'), $bookmark['bAddress']);
    $tplVars['loadjs'] = true;
    $tplVars['page'] = $page;
    $tplVars['start'] = $start;
    $tplVars['bookmarkCount'] = $start + 1;
    $tplVars['total'] = $bookmarks['total'];
    $tplVars['bookmarks'] =& $bookmarks['bookmarks'];
    $tplVars['hash'] = $hash;
    $tplVars['popCount'] = 50;
    $tplVars['sidebar_blocks'] = array('common');
    $tplVars['cat_url'] = createURL('tags', '%2$s');
    $tplVars['nav_url'] = createURL('blogrec', $hash .'/%3$s');
    $templateservice->loadTemplate('blogrec.tpl', $tplVars);
} else {
  
   $url = $_SESSION['url'];
   $ip = $_SERVER['REMOTE_ADDR'];

   if ($ip != '127.0.0.1') {
      $sid            = $_SESSION['sessionid'];
      $startTime      = $_SESSION['time'];
      $currentTime    = time();
      $sourceHash     = md5($url);
      $sourceAddress  = $url;
      $targetHash     = $_SESSION['target_hash'];
      $targetAddress  = $_SESSION['target_url'];
      $numOrder       = $_GET["order"];
      $numPage        = $_GET["page"];
      $searchString   = urldecode($_SESSION['search_string']);
      $tags           = $_GET["tags"];
      $orderType      = $_GET["sort"];
      $rankDelicious  = $_GET["drank"];
      $rankBlog       = $_GET["brank"];
      $lastAddress    = $_SESSION['last_url'];
      $requestURI     = $_SERVER['REQUEST_URI']; 
      $linkUser       = $_GET["user"];
      $total          = $_GET["total"];
      $executionTime  = $_SESSION['execution_time'];

      $statisticsservice =& ServiceFactory::getServiceInstance('StatisticsService');
      $statisticsservice->addStatistics($sid, $startTime, $currentTime, $sourceHash, $sourceAddress, $targetHash, $targetAddress, $ip, $searchString, $tags, $orderType, $numOrder, $numPage, $linkUser, $rankDelicious, $rankBlog,$browser, $lastAddress, $requestURI, $user, $total, $executionTime);
   }

    // Throw a 404 error
    $tplVars['error'] = T_('Address was not found');
    $templateservice->loadTemplate('error.404.tpl', $tplVars);
    exit();
}

if ($usecache) {
    // Cache output if existing copy has expired
    $cacheservice->End($cachehash);
}
?>
